AnnotationTypeMismatchException (Java Platform SE 8 )
Keywords: java.lang.annotation.AnnotationTypeMismatchException class
Date: 2016-12-09

compact1, compact2, compact3
java.lang.annotation

## Class AnnotationTypeMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.annotation.AnnotationTypeMismatchException

- All Implemented Interfaces:
    Serializable

      public class AnnotationTypeMismatchException
      extends RuntimeException

  Thrown to indicate that a program has attempted to access an element of an annotation whose type has changed after the annotation was compiled (or serialized). This exception can be thrown by the API used to read annotations reflectively.
  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationTypeMismatchException(Method element, String foundType)` Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Method` | `element()` Returns the `Method` object for the incorrectly typed element.
    `String` | `foundType()` Returns the type of data found in the incorrectly typed element.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationTypeMismatchException

          public AnnotationTypeMismatchException(Method element,
                                                 String foundType)

      Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.
      Parameters:
        `element` - the `Method` object for the annotation element
        `foundType` - the (erroneous) type of data found in the annotation. This string may, but is not required to, contain the value as well. The exact format of the string is unspecified.

  - ### Method Detail

    - #### element

          public Method element()

      Returns the `Method` object for the incorrectly typed element.
      Returns:
        the `Method` object for the incorrectly typed element

    - #### foundType

          public String foundType()

      Returns the type of data found in the incorrectly typed element. The returned string may, but is not required to, contain the value as well. The exact format of the string is unspecified.
      Returns:
        the type of data found in the incorrectly typed element

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.